Opened 11 years ago

Closed 9 years ago

#30250 closed update (fixed)

upgrade mapserver to version 6.0

Reported by: tbonfort (Thomas Bonfort) Owned by: mbarchfe@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch Cc:
Port: mapserver

Description

current macports mapserver version is 5.2.0 which is very old.

attached patch brings support up for version 6.0, along with some more detailed configuration options for selecting variants

Attachments (2)

mapserver-portfile.patch (4.0 KB) - added by tbonfort (Thomas Bonfort) 11 years ago.
mapserver-macports.diff (11.8 KB) - added by tbonfort (Thomas Bonfort) 11 years ago.
patch for mapserver 6.0 and 5.6

Download all attachments as: .zip

Change History (7)

Changed 11 years ago by tbonfort (Thomas Bonfort)

Attachment: mapserver-portfile.patch added

comment:1 Changed 11 years ago by tbonfort (Thomas Bonfort)

Cc: thomas.bonfort@… added

Cc Me!

comment:2 Changed 11 years ago by nerdling (Jeremy Lavergne)

Keywords: haspatch added

comment:3 Changed 11 years ago by jmroot (Joshua Root)

Cc: thomas.bonfort@… removed
Owner: changed from macports-tickets@… to mbarchfe@…
Type: defectupdate
Version: 1.9.2

Please remember to cc the maintainer. You do not need to be in cc when you are the reporter.

Changed 11 years ago by tbonfort (Thomas Bonfort)

Attachment: mapserver-macports.diff added

patch for mapserver 6.0 and 5.6

comment:4 Changed 11 years ago by tbonfort (Thomas Bonfort)

attached a new patch that superceeds the previous one:

  • adds variants: gdal, ogr, postgis, wms, wfs, wfsclient, wmsclient, wcs, sos, fastcgi, kml
  • two new Portfiles: mapserver60 and mapserver56 for versions 6.0 and 5.6
  • removes the old mapserver port (replaced_by mapserver56)
  • better postgresql detection, by looking for pg_config instead of requiring a specific variant

comment:5 Changed 9 years ago by anddam (Andrea D'Amore)

Resolution: fixed
Status: newclosed

Updated to 6.0.3 in r96046 using your patch, maintainer timeout and port abandoned #35424. I didn't split the port and just updated it to 6.0.x, if there's a reason (API break) to keep the 5.x around we can add another port.

I'm closing this ticket but I'd need an info: I noticed that your +postgis variant in mapserver60 doesn't append a port:postgis or port:postgis2 dependency, shouldn't one of the postgis ports be installed anyway when using --with-postgis configure's option?

Note: See TracTickets for help on using tickets.